Class Fox::FXGLCone

In: | ../lib/fox/glshapes.rb
Parent: | FXGLShape

OpenGL cone object

Methods

drawshape new

Attributes

height | [RW] | Cone height [Float]
loops | [RW] | Number of loops (default is 4) [Integer]
radius | [RW] | Cone base radius [Float]
slices | [RW] | Number of slices (default is 20) [Integer]
stacks | [RW] | Number of stacks (default is 20) [Integer]

Public Class methods

new(*args)

Returns an initialized FXGLCone instance.

One option is to initialize the cone with a specified origin, height and radius:

        aCone = FXGLCone.new(x, y, z, h, r)

If left unspecified, the height (h) and radius (r) default to 1.0.

Another option is to initialize the cone with a specified origin, height, radius and material:

        aCone = FXGLCone.new(x, y, z, h, r, material)

where the material is an FXMaterial instance.

Public Instance methods

drawshape(viewer)

Draw this cone into viewer (an FXGLViewer instance).